#include <unistd.h>
#include"modules.h"

int main(void) {
    // disable buffer for output in container as it is buffered and not displayed
    setvbuf(stdout, NULL, _IONBF, 0);
    setvbuf(stderr, NULL, _IONBF, 0);
    // wait for buffer changes to take effect
    sleep(1);

    if (log_temp() == 1) {
        fprintf(stderr, "log_temp failed error: %m\n");
        return 1;
    }

    if (blink() == 1) {
        fprintf(stderr, "blink failed error: %m\n");
        return 1;
    }

    return 0;
}
